module MeterpreterDetection_Timing;

export {
	redef SSL::disable_analyzer_after_detection = F;
}

function ssl_encrypted_data_helper(c: connection, current_state: polling_state,
    length: count)
	{
	next_step(current_state, network_time(), length, c$uid);

	if ( current_state$max_index <= threshold &&
	     current_state$current_index <= threshold)
		return;

	local trip = MeterpreterDetection::id_to_triplet(c$id);
	if ( trip in flagged )
		return;

	add flagged[trip];

	local message = fmt("Meterpreter detected with reason=TIMING_DETECTED, protocol=HTTPS, os=WINDOWS");
	MeterpreterDetection::log_a_notice(c, message,
	    MeterpreterDetection::Meterpreter_Detected, T);
	}

event ssl_encrypted_data(c: connection, is_orig: bool, record_version: count,
    content_type: count, length: count)
	{
	if ( content_type == 23 )
		{
		local cid = c$id;
		if ( cid !in win_polling_data )
			win_polling_data[cid] = polling_state();

		local current_state = win_polling_data[cid];

		if ( is_orig )
			ssl_encrypted_data_helper(c, current_state, length);
		else
			current_state$last_delay =
				network_time() - current_state$last_timestamp;
		}
	}
