module Telnet;

export {
	const EBCDIC_mappings: table[string] of string = {
		["00"] = "<NUL>",
		["01"] = "<SOH>",
		["02"] = "<STX>",
		["03"] = "<ETX>",
		["04"] = "<SEL>",
		["05"] = "<HT>",
		["06"] = "<RNL>",
		["07"] = "<DEL>",
		["08"] = "<GE>",
		["09"] = "<SPS>",
		["0a"] = "<RPT>",
		["0b"] = "<VT>",
		["0c"] = "<FF>",
		["0d"] = "<CR>",
		["0e"] = "<SO>",
		["0f"] = "<SI>",
		["10"] = "<DLE>",
		["11"] = "<DC1>",
		["12"] = "<DC2>",
		["13"] = "<DC3>",
		["14"] = "<RES/ENP>",
		["15"] = "<NL>",
		["16"] = "<BS>",
		["17"] = "<POC>",
		["18"] = "<CAN>",
		["19"] = "<EM>",
		["1a"] = "<UBS>",
		["1b"] = "<CU1>",
		["1c"] = "<IFS>",
		["1d"] = "<IGS>",
		["1e"] = "<IRS>",
		["1f"] = "<IUS/ITB>",
		["20"] = "<DS>",
		["21"] = "<SOS>",
		["22"] = "<FS>",
		["23"] = "<WUS>",
		["24"] = "<BYP/INP>",
		["25"] = "<LF>",
		["26"] = "<ETB>",
		["27"] = "<ESC>",
		["28"] = "<SA>",
		["29"] = "<SFE>",
		["2a"] = "<SM/SW>",
		["2b"] = "<CSP>",
		["2c"] = "<MFA>",
		["2d"] = "<ENQ>",
		["2e"] = "<ACK>",
		["2f"] = "<BEL>",
		["30"] = "<err>",
		["31"] = "<err>",
		["32"] = "<SYN>",
		["33"] = "<IR>",
		["34"] = "<PP>",
		["35"] = "<TRN>",
		["36"] = "<NBS>",
		["37"] = "<EOT>",
		["38"] = "<SBS>",
		["39"] = "<IT>",
		["3a"] = "<RFF>",
		["3b"] = "<CU3>",
		["3c"] = "<DC4>",
		["3d"] = "<NAK>",
		["3e"] = "<err>",
		["3f"] = "<SUB>",
		["40"] = " ",
		["41"] = "<err>",
		["42"] = "<err>",
		["43"] = "<err>",
		["44"] = "<err>",
		["45"] = "<err>",
		["46"] = "<err>",
		["47"] = "<err>",
		["48"] = "<err>",
		["49"] = "<err>",
		["4a"] = "�",
		["4b"] = ".",
		["4c"] = "<",
		["4d"] = "(",
		["4e"] = "+",
		["4f"] = "|",
		["50"] = "&",
		["51"] = "<err>",
		["52"] = "<err>",
		["53"] = "<err>",
		["54"] = "<err>",
		["55"] = "<err>",
		["56"] = "<err>",
		["57"] = "<err>",
		["58"] = "<err>",
		["59"] = "<err>",
		["5a"] = "!",
		["5b"] = "$",
		["5c"] = "*",
		["5d"] = ")",
		["5e"] = ";",
		["5f"] = "�",
		["60"] = "-",
		["61"] = "/",
		["62"] = "<err>",
		["63"] = "<err>",
		["64"] = "<err>",
		["65"] = "<err>",
		["66"] = "<err>",
		["67"] = "<err>",
		["68"] = "<err>",
		["69"] = "<err>",
		["6a"] = "|",
		["6b"] = ",",
		["6c"] = "%",
		["6d"] = "_",
		["6e"] = ">",
		["6f"] = "?",
		["70"] = "<err>",
		["71"] = "<err>",
		["72"] = "<err>",
		["73"] = "<err>",
		["74"] = "<err>",
		["75"] = "<err>",
		["76"] = "<err>",
		["77"] = "<err>",
		["78"] = "<err>",
		["79"] = "`",
		["7a"] = ":",
		["7b"] = "#",
		["7c"] = "@",
		["7d"] = "'",
		["7e"] = "=",
		["7f"] = "<\">",
		["80"] = "<err>",
		["81"] = "a",
		["82"] = "b",
		["83"] = "c",
		["84"] = "d",
		["85"] = "e",
		["86"] = "f",
		["87"] = "g",
		["88"] = "h",
		["89"] = "i",
		["8a"] = "<err>",
		["8b"] = "<err>",
		["8c"] = "<err>",
		["8d"] = "<err>",
		["8e"] = "<err>",
		["8f"] = "�",
		["90"] = "<err>",
		["91"] = "j",
		["92"] = "k",
		["93"] = "l",
		["94"] = "m",
		["95"] = "n",
		["96"] = "o",
		["97"] = "p",
		["98"] = "q",
		["99"] = "r",
		["9a"] = "<err>",
		["9b"] = "<err>",
		["9c"] = "<err>",
		["9d"] = "<err>",
		["9e"] = "<err>",
		["9f"] = "<err>",
		["a0"] = "<err>",
		["a1"] = "~",
		["a2"] = "s",
		["a3"] = "t",
		["a4"] = "u",
		["a5"] = "v",
		["a6"] = "w",
		["a7"] = "x",
		["a8"] = "y",
		["a9"] = "z",
		["aa"] = "<err>",
		["ab"] = "<err>",
		["ac"] = "<err>",
		["ad"] = "<err>",
		["ae"] = "<err>",
		["af"] = "<err>",
		["b0"] = "^",
		["b1"] = "<err>",
		["b2"] = "<err>",
		["b3"] = "<err>",
		["b4"] = "<err>",
		["b5"] = "<err>",
		["b6"] = "<err>",
		["b7"] = "<err>",
		["b8"] = "<err>",
		["b9"] = "<err>",
		["ba"] = "[",
		["bb"] = "]",
		["bc"] = "<err>",
		["bd"] = "<err>",
		["be"] = "<err>",
		["bf"] = "<err>",
		["c0"] = "{",
		["c1"] = "A",
		["c2"] = "B",
		["c3"] = "C",
		["c4"] = "D",
		["c5"] = "E",
		["c6"] = "F",
		["c7"] = "G",
		["c8"] = "H",
		["c9"] = "I",
		["ca"] = "<err>",
		["cb"] = "<err>",
		["cc"] = "<err>",
		["cd"] = "<err>",
		["ce"] = "<err>",
		["cf"] = "<err>",
		["d0"] = "}",
		["d1"] = "J",
		["d2"] = "K",
		["d3"] = "L",
		["d4"] = "M",
		["d5"] = "N",
		["d6"] = "O",
		["d7"] = "P",
		["d8"] = "Q",
		["d9"] = "R",
		["da"] = "<err>",
		["db"] = "<err>",
		["dc"] = "<err>",
		["dd"] = "<err>",
		["de"] = "<err>",
		["df"] = "<err>",
		["e0"] = "<\\>",
		["e1"] = "<err>",
		["e2"] = "S",
		["e3"] = "T",
		["e4"] = "U",
		["e5"] = "V",
		["e6"] = "W",
		["e7"] = "X",
		["e8"] = "Y",
		["e9"] = "Z",
		["ea"] = "<err>",
		["eb"] = "<err>",
		["ec"] = "<err>",
		["ed"] = "<err>",
		["ee"] = "<err>",
		["ef"] = "<err>",
		["f0"] = "0",
		["f1"] = "1",
		["f2"] = "2",
		["f3"] = "3",
		["f4"] = "4",
		["f5"] = "5",
		["f6"] = "6",
		["f7"] = "7",
		["f8"] = "8",
		["f9"] = "9",
		["fa"] = "<err>",
		["fb"] = "<err>",
		["fc"] = "<err>",
		["fd"] = "<err>",
		["fe"] = "<err>",
		["ff"] = "<EO>",
	};

}